Enlightenment DR17

Everything about X, Gnome, KDE, ... and everything running on it

Postby garrincha » 2007-03-29 23:35

mzilikazi wrote:Besides, there is a repo for Debian already.
Code: Select all
deb http://www.edevelop.org/debian etch main

OR
Code: Select all
deb http://www.edevelop.org/debian unstable main

I can only imagine what sort of entertainment you might find if you were to actually mix the repositories.


At the moment the e17 package (from edevelop.org) seems to be broken as I get a lot of unmet dependencies issues in my e17 WM/Unstable installation.

Out of curiosity, I tried installing it in etch unfortunately there seems to be no e17 package in the edevelop.org etch repo.
Maurice Green on Usain Bolt's 9.58: "The Earth stopped for a second, and he went to Mars."
User avatar
garrincha
 
Posts: 2340
Joined: 2006-06-02 16:38

elive

Postby llivv » 2007-03-30 00:26

The way I did it was by using the eLive CD. I had to be patient and search for a mirror with suffient bandwidth to get the iso, but it was worth it. The eLive cd is a hacked etch you can load live then use the installer (on the Mac like) apps bar at the bottom of the desktop. The install went flawlessly on my tosiba laptop, even though I made a couple of wrong choices along the way. You get your choice of E16 or E17 at login ,both with the live CD and on the hard drive install. 3D and transparency come straight out of the box, no extra configuration necessary. But there are tons of configurable aspect throughout the entire system, at least ones not available in sarge.
I just saw a few screenshots I haven't seen yet till tonight at http://get-e.org So far I only have 3 or 4 login screen theme choices and I haven't messed with the desktop themes on the laptop. I've been learnin how the sarge enlightenment packages differ from the (official release? from the enlightenment project).
I've been kinda hesitent about using the enlightenment repos, cause it looks to me as if there is stuff from Red Hat and Slack included in the system. Probably just for all our enjoyment, if ya ask me anyway.
In memory of Ian Ashley Murdock (1973 - 2015) founder of the Debian project.
User avatar
llivv
 
Posts: 5484
Joined: 2007-02-14 18:10
Location: cold storage

Postby mzilikazi » 2007-03-30 13:05

garrincha wrote:
At the moment the e17 package (from edevelop.org) seems to be broken as I get a lot of unmet dependencies issues in my e17 WM/Unstable installation.

Out of curiosity, I tried installing it in etch unfortunately there seems to be no e17 package in the edevelop.org etch repo.


*Shrug* Unstable repo works fine here. IIRC I used the Unstable repo on Etch as well. I do see that there is nothing in the Etch repo at this time.
Last edited by mzilikazi on 2007-03-30 13:11, edited 1 time in total.
Debian Sid Laptops:
AMD Athlon(tm) 64 X2 Dual-Core Processor TK-55 / 1.5G
Intel(R) Pentium(R) Dual CPU T2390 @ 1.86GHz / 3G
User avatar
mzilikazi
Forum Ninja
 
Posts: 3321
Joined: 2004-09-16 02:14
Location: Colorado Springs, CO

Re: elive

Postby mzilikazi » 2007-03-30 13:07

llivv wrote:The way I did it was by using the eLive CD.

I have not toyed w Elive lately but last time I did it used alot of custom packages and you could not use standard Debian repos or you'd break your system for sure. Is this still the case?
Debian Sid Laptops:
AMD Athlon(tm) 64 X2 Dual-Core Processor TK-55 / 1.5G
Intel(R) Pentium(R) Dual CPU T2390 @ 1.86GHz / 3G
User avatar
mzilikazi
Forum Ninja
 
Posts: 3321
Joined: 2004-09-16 02:14
Location: Colorado Springs, CO

case

Postby llivv » 2007-03-30 13:40

If you install from the eLive CD, (from my experience) Yes, it is still the case. edit:
mzilikazi wrote: last time I did it used alot of custom packages and you could not use standard Debian repos or you'd break your system for sure. Is this still the case?
/edit
I'm not the final word on this by any means, as I only grasp a small amount of what I actually have working so far. I say this to avoid confussion, I installed eLive CD version elive_0.6.4 and I think elive_0.6.5 is released as well along with previous versions. These version numbers are iso versions and don't reflect on system versions in anyway. If you irc to the default server you may get asked which version you installed.
In memory of Ian Ashley Murdock (1973 - 2015) founder of the Debian project.
User avatar
llivv
 
Posts: 5484
Joined: 2007-02-14 18:10
Location: cold storage

Postby markupstart » 2007-04-03 03:27

t is not advisable to use Ubuntu repositories with Debian. They are not compatible. Sure, you might get away with some things but it is not recommended. Besides, there is a repo for Debian already.
Code: Select all
deb http://www.edevelop.org/debian etch main

OR
Code: Select all
deb http://www.edevelop.org/debian unstable main

I can only imagine what sort of entertainment you might find if you were to actually mix the repositories.


I tried that first, but there is nothing in the etch one. I used the dapper one because it only installed new packages for me, didn't touch anything else when I installed e17, so I new it would be ok.
markupstart
 
Posts: 15
Joined: 2007-03-17 06:00

Postby mzilikazi » 2007-04-03 03:34

markupstart wrote:I tried that first, but there is nothing in the etch one. I used the dapper one because it only installed new packages for me, didn't touch anything else when I installed e17, so I new it would be ok.

You're better off using Debian unstable on Etch than anything Ubuntu.
Debian Sid Laptops:
AMD Athlon(tm) 64 X2 Dual-Core Processor TK-55 / 1.5G
Intel(R) Pentium(R) Dual CPU T2390 @ 1.86GHz / 3G
User avatar
mzilikazi
Forum Ninja
 
Posts: 3321
Joined: 2004-09-16 02:14
Location: Colorado Springs, CO

Postby hash » 2007-04-15 00:14

am lost.
I added the debian repo, installed all e17 pacakges via synaptic.
(but most packages are 'virtual' and the file listing does not have a path to the binary)

I cant seem to find any of the binaries to start e17.

Pointers?
User avatar
hash
 
Posts: 160
Joined: 2007-04-14 05:59
Location: Vancouver, BC, Canada

Postby hash » 2007-04-15 00:44

went thru the posts again .. I dont have a
/usr/bin/enlightenment_start
:(
User avatar
hash
 
Posts: 160
Joined: 2007-04-14 05:59
Location: Vancouver, BC, Canada

Postby mzilikazi » 2007-04-15 02:30

Just to confirm, this is the repo to use. I just installed e17 on this box 2 days ago. It works fine.
Code: Select all
deb http://www.edevelop.org/debian unstable main


Code: Select all
$ dpkg -l|grep enlightenment
ii  enlightenment                         0.16.999.037-0cvs20070412                                         
        Enlightenment themes, etc.
ii  enlightenment-dev                     0.16.999.037-0cvs20070412                                         
        Enlightenment headers, static libraries and
ii  evfs0-bin                             0.0.1-0cvs20061229                                                 
        enlightenment virtual filesystem tools
ii  libecore0                             0.9.9.037-0cvs20070409                                             
        Core abstraction layer for enlightenment DR
ii  libevas0                              0.9.9.037-0cvs20070412                                             
        enlightenment advanced canvas library
ii  libevas0-dev                          0.9.9.037-0cvs20070412                                             
        enlightenment advanced canvas library develo
ii  libevfs0                              0.0.1-0cvs20061229                                                 
        enlightenment virtual filesystem library
ii  libevfs0-plugin-file-posix            0.0.1-0cvs20061229                                                 
        enlightenment virtual filesystem POSIX plugi
ii  libevfs0-plugin-meta-extractor-tagger 0.0.1-0cvs20061229                                                 
        enlightenment virtual filesystem extractor t
ii  libevfs0-plugin-vfolder-group         0.0.1-0cvs20061229                                                 
        enlightenment virtual filesystem vfolder gro
ii  libevfs0-plugin-vfolder-trash         0.0.1-0cvs20061229                                                 
        enlightenment virtual filesystem vfolder tra

$ dpkg -l|grep e17 e17
ii  e17                                   0.16.999.037-0cvs20070412                     Virtual package providing the E17 desktop sh
ii  e17-desktop                           0.16.999.037-0cvs20070412                     Virtual package providing the E17 desktop en
ii  e17-extras                            0.16.999.037-0cvs20070412                     Virtual package providing extras for the E17
ii  e17-libs                              0.16.999.037-0cvs20070412                     Virtual package providing the libraries need

$ which enlightenment_start
/usr/bin/enlightenment_start
Debian Sid Laptops:
AMD Athlon(tm) 64 X2 Dual-Core Processor TK-55 / 1.5G
Intel(R) Pentium(R) Dual CPU T2390 @ 1.86GHz / 3G
User avatar
mzilikazi
Forum Ninja
 
Posts: 3321
Joined: 2004-09-16 02:14
Location: Colorado Springs, CO

Postby hash » 2007-04-15 02:32

thx for the reply mzilikazi :)
Yup, same repo. And am sure I selected all those in synaptic.

Anyways, I removed them and am in the process of compiling using the easy_e17 script. Fingers crossed ;)
User avatar
hash
 
Posts: 160
Joined: 2007-04-14 05:59
Location: Vancouver, BC, Canada

Postby hash » 2007-04-15 02:42

awesomo.. am in :)
Had to install a lot of libs, automake 1.9 for the modules..etc..etc.
And I have e17! on 2.6.20 with dual head.
purrrfect.
User avatar
hash
 
Posts: 160
Joined: 2007-04-14 05:59
Location: Vancouver, BC, Canada

Postby Bro.Tiag » 2007-06-03 03:20

Hi Ya!

Just thought I'd pop in & say hi. I've been running e17 since '05, and I've installed it, from source, on woody, Linspire-5.0, sarge, Freespire-1.0 & 2.0, gNewSense, etch and lenny (my daily ride) as well as a few others. The thing is, my current lenny version doesna look much different then my first install on woody. Here is a link to the CNR-Warehouse site which I added some screen shots of Enlightenment to the other day.

I must say despite my tendency for installing from source, I've learned quit a bit from this thread, thanks.

Cheers
User avatar
Bro.Tiag
 
Posts: 1937
Joined: 2007-06-02 19:14

Postby steelheart » 2007-06-05 13:38

I tryed this viewtopic.php?p=43644#43644 and I get this :

Code: Select all
# apt-get install e17 e17-extras emodules0-all
Reading package lists... Done
Building dependency tree... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
  e17: Depends: enlightenment but it is not going to be installed
       Depends: e17-libs but it is not going to be installed
  e17-extras: Depends: exhibit but it is not going to be installed
              Depends: entropy but it is not going to be installed
              Depends: edje-viewer but it is not going to be installed
              Depends: empower but it is not going to be installed
              Depends: extrackt but it is not going to be installed
              Depends: emphasis but it is not going to be installed
              Depends: ephoto but it is not going to be installed
              Depends: entrance but it is not going to be installed
              Depends: entrance-edit-gui but it is not going to be installed
  emodules0-all: Depends: enlightenment but it is not going to be installed
                 Depends: emodule0-alarm but it is not going to be installed
                 Depends: emodule0-bling but it is not going to be installed
                 Depends: emodule0-cpu but it is not going to be installed
                 Depends: emodule0-deskshow but it is not going to be installed
                 Depends: emodule0-emu but it is not going to be installed
                 Depends: emodule0-flame but it is not going to be installed
                 Depends: emodule0-forecasts but it is not going to be installed
                 Depends: emodule0-language but it is not going to be installed
                 Depends: emodule0-mail but it is not going to be installed
                 Depends: emodule0-mem but it is not going to be installed
                 Depends: emodule0-mixer but it is not going to be installed
                 Depends: emodule0-moon but it is not going to be installed
                 Depends: emodule0-net but it is not going to be installed
                 Depends: emodule0-news but it is not going to be installed
                 Depends: emodule0-photo but it is not going to be installed
                 Depends: emodule0-rain but it is not going to be installed
                 Depends: emodule0-screenshot but it is not going to be installe d
                 Depends: emodule0-slideshow but it is not going to be installed
                 Depends: emodule0-snow but it is not going to be installed
                 Depends: emodule0-taskbar but it is not going to be installed
                 Depends: emodule0-tclock but it is not going to be installed
                 Depends: emodule0-uptime but it is not going to be installed
                 Depends: emodule0-weather but it is not going to be installed
                 Depends: emodule0-winselector but it is not going to be install ed
                 Depends: emodule0-wlan but it is not going to be installed
E: Broken packages


Did i missed out something ? ( or I did something wrong )
I use Debian etch.
steelheart
 

Postby stoffepojken » 2007-06-05 13:46

That repo is for Debian Sid. I dont think you should use it on Etch
User avatar
stoffepojken
 
Posts: 707
Joined: 2007-01-25 01:21
Location: Stockholm, Sweden

PreviousNext

Return to Desktop & Multimedia

Who is online

Users browsing this forum: No registered users and 11 guests

fashionable